-- Hilfeanzeige zur Bedienung für FS17_Mercedes_Actros_SLT LS15
-- created by ===sven===
-- Date: 01.08.2016
Help = {};

function Help.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function Help:load(xmlFile)
	self.help = false;
end;

function Help:delete()
end;

function Help:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Help:keyEvent(unicode, sym, modifier, isDown)
end;

function Help:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELP) then
			self.help = not self.help;
		end;
	end;
end;

function Help:updateTick(dt)
end;

function Help:draw()
	if not self.help then
		renderText(0.82, 0.24, 0.018, "Taste Numpad 0: Doll Hilfe Ein");
	 else
		renderText(0.82, 0.24, 0.018, "Taste Numpad 0: Doll Hilfe Aus");
		renderText(0.51, 0.19, 0.028, "Doll Panther Bedienung");
		
		renderText(0.51, 0.15, 0.021, "  NP = Numpad      KP= Keypad");		
		renderText(0.39, 0.12, 0.021, "Planen Aufbau Ein/Aus...Taste = NP 7      Rampen Ein/Ausfahren...Taste = NP 4");
		renderText(0.39, 0.10, 0.021, "Rampen Runter/Hoch.....Taste = KP Y      Doll Verlängern Ein/Aus..Taste = KP Z");
		renderText(0.39, 0.08, 0.021, "Verbreiterung Klein.........Taste = NP 9      Verbreiterung Groß.........Taste = NP 8");		
		
		renderText(0.51, 0.04, 0.024, "        **created by sven**");
	end;
end;  

function Help:onLeave()
	self.help = false;
end;
